<?php
/* Autor...:  */
/* Esquema.: MST_Ubigeo.xml */
/* Generado: 2020-08-18 04:21:29 */

/* Metodos de acceso a los campos de la tabla MST_Ubigeo */
abstract class BaseMST_UbigeoBN
{
    /* Campos de la tabla */
    private $s_IdUbigeo;    // IdUbigeo: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Tipo;    // Tipo: ( no definido )
    private $s_Codigo;    // Codigo: ( no definido )
    private $s_Pertenece;    // Pertenece: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdUbigeo */
    public function setIdUbigeo( $s_IdUbigeo )
    {
        $this->s_IdUbigeo = $s_IdUbigeo;
    }

    /* Obtiene el valor del campo IdUbigeo */
    public function getIdUbigeo()
    {
        return $this->s_IdUbigeo;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Tipo */
    public function setTipo( $s_Tipo )
    {
        $this->s_Tipo = $s_Tipo;
    }

    /* Obtiene el valor del campo Tipo */
    public function getTipo()
    {
        return $this->s_Tipo;
    }

    /* Establece el valor del campo Codigo */
    public function setCodigo( $s_Codigo )
    {
        $this->s_Codigo = $s_Codigo;
    }

    /* Obtiene el valor del campo Codigo */
    public function getCodigo()
    {
        return $this->s_Codigo;
    }

    /* Establece el valor del campo Pertenece */
    public function setPertenece( $s_Pertenece )
    {
        $this->s_Pertenece = $s_Pertenece;
    }

    /* Obtiene el valor del campo Pertenece */
    public function getPertenece()
    {
        return $this->s_Pertenece;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdUbigeo' => $this->getIdUbigeo(),
            'Descripcion' => $this->getDescripcion(),
            'Tipo' => $this->getTipo(),
            'Codigo' => $this->getCodigo(),
            'Pertenece' => $this->getPertenece(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_UbigeoBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_UbigeoRs )
    {
        $o_MST_UbigeoBN = new MST_UbigeoBN();
        $o_MST_UbigeoBN->setIdUbigeo( $o_MST_UbigeoRs[ "IdUbigeo" ] );
        $o_MST_UbigeoBN->setDescripcion( $o_MST_UbigeoRs[ "Descripcion" ] );
        $o_MST_UbigeoBN->setTipo( $o_MST_UbigeoRs[ "Tipo" ] );
        $o_MST_UbigeoBN->setCodigo( $o_MST_UbigeoRs[ "Codigo" ] );
        $o_MST_UbigeoBN->setPertenece( $o_MST_UbigeoRs[ "Pertenece" ] );
        $o_MST_UbigeoBN->setEstado( $o_MST_UbigeoRs[ "Estado" ] );
        $o_MST_UbigeoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_MST_UbigeoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_MST_UbigeoBN->setUsuarioCreacion( $o_MST_UbigeoRs[ "UsuarioCreacion" ] );
        $o_MST_UbigeoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_MST_UbigeoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_MST_UbigeoBN->setUsuarioModificacion( $o_MST_UbigeoRs[ "UsuarioModificacion" ] );
        return $o_MST_UbigeoBN;
    }
}
?>